OpenapiO11y
Updates one metric's metadata — description, type, unit, temporality,…
Updates one metric's metadata — description, type, unit, temporality, monotonicity — and answers with the bare success envelope.
POST /v1/o11y/metrics/metadata
| Address | https://api.hanzo.ai/v1/o11y/metrics/metadata |
| Method | POST |
| Operation | UpdateMetricMetadata |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Updates one metric's metadata — description, type, unit, temporality, monotonicity — and answers with the bare success envelope.
Request
6 fields, body application/json (required).
| Field | In | Type | Required | Description |
|---|---|---|---|---|
description | body | string | — | Description describes the metric. |
isMonotonic | body | boolean | — | IsMonotonic marks a sum that only ever increases. |
metricName | body | string | yes | MetricName is the metric to update. |
temporality | body | string | — | Temporality is delta or cumulative. |
type | body | string | — | Type is the metric type, e.g. |
unit | body | string | — | Unit is the metric's unit. |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yMetricAckOut | ok |
200 body — 1 field.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y metrics metadata create --metric-name <metricName>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.updateMetricMetadata({ metricName: "<metricName>" });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).update_metric_metadata(metric_name="<metricName>")cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.UpdateMetricMetadata(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::update_metric_metadata(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).updateMetricMetadata();curl -X POST https://api.hanzo.ai/v1/o11y/metrics/metadata \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"metricName": "<metricName>"
}'Tool o11y, op UpdateMetricMetadata — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "UpdateMetricMetadata",
"input": {
"metricName": "<metricName>"
}
}
}
}'How is this guide?